Please create new VM for production HA Proxy and deploy it
Status: Closed Start date: Jun 28, 2016

Priority: High Due date: Jul 05, 2016

Assignee: Andrea Dell'Amico % Done: 100%

Category: System Application Estimated time: 4.00 hours

Target version: D4Science Infrastructure Upgrade to

gCube 4.0.0

  

Infrastructure: Production   

Description

Possibly we should have 2 HA Proxys.

Also,

in order to configure the production environment in advance the following domains on research-infrastructures.eu should be created

and should point to this HA Proxy:

i-marine.research-infrastructures.eu

descramble.research-infrastructures.eu

services.research-infrastructures.eu

egip.research-infrastructures.eu

The above domains will be replaced by the production ones (ending d4science.org) the day of gCube 4 rollout

Related issues:

Related to D4Science Infrastructure - Task #4477: Create a new VM for tomcat ... Closed Jun 28, 2016 Jul 05, 2016

History

#1 - Jul 01, 2016 06:12 PM - Andrea Dell'Amico

infra-lb.d4science.org: 146.48.122.98

infra-lb1.d4science.org: 146.48.122.115

infra-lb2.d4science.org: 146.48.122.149

#2 - Jul 03, 2016 12:44 PM - Andrea Dell'Amico

- Status changed from New to In Progress

- % Done changed from 0 to 60

#3 - Jul 05, 2016 12:55 PM - Andrea Dell'Amico

- % Done changed from 60 to 80

The two haproxy instances have been configured.

The last missing piece is the software that will handle the HA between the two haproxy. Until then, the 'floating' IP has been manually assigned to

infra-lb1.d4science.org.

#4 - Jul 05, 2016 06:33 PM - Andrea Dell'Amico

- Status changed from In Progress to Feedback

- % Done changed from 80 to 100

keepalived is now installed and configured. I tested that it operates correctly.

#5 - Jul 05, 2016 06:34 PM - Andrea Dell'Amico

- Related to Task #4477: Create a new VM for tomcat production cluster added

#6 - Jul 13, 2016 08:08 PM - Massimiliano Assante
- Status changed from Feedback to In Progress

please add the following domain just like you added the others: 

sobigdata.research-infrastructures.eu

#7 - Jul 13, 2016 08:19 PM - Massimiliano Assante

Also the http call timeout on infra gateways seems to be default one, could you check?

#8 - Jul 14, 2016 12:03 PM - Andrea Dell'Amico

- Status changed from In Progress to Feedback

sobigdata.research-infrastructures.eu added as CNAME, x509 certificate updated with the new alias.

I increased the connect timeout from 5 to 15 seconds.

#9 - Jul 14, 2016 12:09 PM - Massimiliano Assante

Please remember that all these domains below, including some others yet to be created (bluebridge.d4science.org smartarea.d4science.org) in a

later (but not so later) period will be "moved" to  d4science.org so x509 certificate should be ready next week. (we have i-marine.d4science.org, and

the others until egip, not sure we have sobigdata.d4science.org)

i-marine.research-infrastructures.eu

descramble.research-infrastructures.eu

services.research-infrastructures.eu

egip.research-infrastructures.eu

sobigdata.research-infrastructures.eu

#10 - Jul 14, 2016 12:11 PM - Andrea Dell'Amico

Massimiliano Assante wrote:

Please remember that all these domains below, including some others yet to be created (bluebridge.d4science.org smartarea.d4science.org) in

a later (but not so later) period will be "moved" to  d4science.org so x509 certificate should be ready next week. (we have

i-marine.d4science.org, and the others until egip, not sure we have sobigdata.d4science.org)

i-marine.research-infrastructures.eu

descramble.research-infrastructures.eu

services.research-infrastructures.eu

egip.research-infrastructures.eu

sobigdata.research-infrastructures.eu

 The certificates will be automatically requested as soon as the names will be moved from the old IP addresses to the new one. The procedure is

completely automated and they are issued within seconds. The only constraint is the DNS refresh time.

#11 - Jul 25, 2016 12:09 PM - Andrea Dell'Amico

- Status changed from Feedback to In Progress

We need to workaround a problem with the liferay clustering. We are exploiting the weight option on the haproxy backend servers to exclude one of

the two instances from the round robin.

#12 - Jul 25, 2016 12:31 PM - Andrea Dell'Amico

Done, both for the preproduction and the production environments.

#13 - Jul 26, 2016 05:40 PM - Andrea Dell'Amico

- Status changed from In Progress to Feedback

#14 - Jul 26, 2016 05:51 PM - Massimiliano Assante

- Status changed from Feedback to Closed
